using System;
using System.Drawing;

namespace TD.SandDock
{
	internal class o
	{
		public static void b(Graphics A_0, Rectangle A_1, Color A_2, bool A_3)
		{
			int num = A_1.Left + A_1.Width / 2;
			int num2 = A_1.Top + A_1.Height / 2;
			Point[] array = new Point[3];
			array[0] = new Point(num + 2, num2 - 5);
			array[1] = new Point(num - 2, num2 - 1);
			array[2] = new Point(num + 2, num2 + 3);
			o.a(A_0, array, A_2, A_3);
		}

		public static void a(Graphics A_0, Rectangle A_1, Color A_2, bool A_3)
		{
			int num = A_1.Left + A_1.Width / 2;
			int num2 = A_1.Top + A_1.Height / 2;
			Point[] array = new Point[3];
			array[0] = new Point(num - 2, num2 - 5);
			array[1] = new Point(num + 2, num2 - 1);
			array[2] = new Point(num - 2, num2 + 3);
			o.a(A_0, array, A_2, A_3);
		}

		private static void a(Graphics A_0, Point[] A_1, Color A_2, bool A_3)
		{
			if (A_3)
			{
				using (SolidBrush solidBrush = new SolidBrush(A_2))
				{
					A_0.FillPolygon(solidBrush, A_1);
					return;
				}
			}
			using (Pen pen = new Pen(A_2))
			{
				A_0.DrawPolygon(pen, A_1);
			}
		}

		public static void a(Graphics A_0, Rectangle A_1, Pen A_2, bool A_3)
		{
			int num = A_1.Left + A_1.Width / 2;
			int num2 = A_1.Top + A_1.Height / 2;
			if (A_3)
			{
				A_0.DrawLine(A_2, num - 5, num2, num - 2, num2);
				A_0.DrawLine(A_2, num - 2, num2 - 3, num - 2, num2 + 3);
				A_0.DrawLine(A_2, num - 2, num2 - 2, num + 4, num2 - 2);
				A_0.DrawLine(A_2, num - 2, num2 + 1, num + 4, num2 + 1);
				A_0.DrawLine(A_2, num - 2, num2 + 2, num + 4, num2 + 2);
				A_0.DrawLine(A_2, num + 4, num2 - 2, num + 4, num2 + 2);
				return;
			}
			A_0.DrawLine(A_2, num - 3, num2 + 2, num + 3, num2 + 2);
			A_0.DrawLine(A_2, num - 2, num2 - 3, num - 2, num2 + 2);
			A_0.DrawLine(A_2, num - 2, num2 - 3, num + 2, num2 - 3);
			A_0.DrawLine(A_2, num + 1, num2 - 3, num + 1, num2 + 2);
			A_0.DrawLine(A_2, num + 2, num2 - 3, num + 2, num2 + 2);
			A_0.DrawLine(A_2, num, num2 + 2, num, num2 + 5);
		}

		public static void b(Graphics A_0, Rectangle A_1, Pen A_2)
		{
			int num = A_1.Left + A_1.Width / 2 - 1;
			int num2 = A_1.Top + A_1.Height / 2;
			A_0.DrawLine(A_2, num - 3, num2 - 4, num + 3, num2 + 2);
			A_0.DrawLine(A_2, num - 2, num2 - 4, num + 4, num2 + 2);
			A_0.DrawLine(A_2, num - 3, num2 + 2, num + 3, num2 - 4);
			A_0.DrawLine(A_2, num - 2, num2 + 2, num + 4, num2 - 4);
		}

		public static void a(Graphics A_0, Rectangle A_1, Pen A_2)
		{
			int num = A_1.Left + A_1.Width / 2;
			int num2 = A_1.Top + A_1.Height / 2;
			A_0.DrawLine(A_2, num - 3, num2 - 3, num + 4, num2 + 4);
			A_0.DrawLine(A_2, num - 2, num2 - 3, num + 4, num2 + 3);
			A_0.DrawLine(A_2, num - 3, num2 - 2, num + 3, num2 + 4);
			A_0.DrawLine(A_2, num + 4, num2 - 3, num - 3, num2 + 4);
			A_0.DrawLine(A_2, num + 3, num2 - 3, num - 3, num2 + 3);
			A_0.DrawLine(A_2, num + 4, num2 - 2, num - 2, num2 + 4);
		}
	}
}
